<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.ether.WebException" %>
<%@ page import="com.ether.user.UserRole" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="tiles" uri="/WEB-INF/tlds/struts-tiles.tld" %>
<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<tiles:insert page="/resources/templates/templateBackoffice.jsp" flush="true">

    <tiles:put name="insertCss" type="string">
        <ether:htmlCss cssFile="select"/>
    </tiles:put>

    <tiles:put name="insertJsOrJsp" type="string">
        <ether:htmlJs jsFile="classesForJQuery/etherClasses"/>
        <ether:htmlJsp jspFile="user-script"/>
        <ether:htmlJs jsFile="classesForJQuery/Loading"/>
        <ether:htmlJs jsFile="classesForJQuery/Select"/>
        <ether:htmlJs jsFile="calendar/anytime"/>
    </tiles:put>


    <tiles:put name="title" type="string"><spring:message code="app.title"/> - <spring:message code="bo.user"/></tiles:put>


    <%-- ****************** CONTENT ****************** --%>
    <tiles:put name="bodytitle" type="string"><spring:message code="bo.user"/></tiles:put>

    <tiles:put name="body" type="string">

        <div class="title2"><spring:message code="bo.user.list"/> :</div>
        <BR/>
        <%-- ****************** SORTS ****************** --%>
        <div class="containerSortsAndSearch">
            <div class="containerSorts">
                <div style="float:left"><spring:message code="bo.sort.asc"/> :&nbsp;</div>
                <div id="containerSorts" style="float:left"></div>
            </div>

            <div class="containerSorts">
                <div style="float:left"><spring:message code="bo.user.role"/> :&nbsp;</div>
                <div id="containerSorts_roles" style="float:left"></div>
            </div>

            <div class="containerSorts">
                <div style="float:left"><spring:message code="bo.user.boAccess.help"/> :&nbsp;</div>
                <div style="float:left">
                    <input id="sort_accessBO_true" type="checkbox" checked="checked"><spring:message code="app.yes"/>
                    <input id="sort_accessBO_false" type="checkbox" checked="checked"><spring:message code="app.no"/>
                </div>
            </div>

            <div class="containerSortsButton">
                <button id="sortButton" class="small positive"><spring:message code="bo.go"/></button>
            </div>

            <div class="containerSorts">
                <div style="float:left"><spring:message code="bo.sortBy"/> :&nbsp;</div>
                <div id="containerSearch" style="float:left"><input type="text" id="search_text" size="29"></div>
            </div>

            <div class="containerSorts">
                <div style="float:left"><spring:message code="bo.viewBy"/> :&nbsp;</div>
                <div id="containerSorts_display" style="float:left"></div>
            </div>

        </div>
        <BR/><BR/>


        <%-- ****************** USERS ****************** --%>
        <div id="generalContainerUsers">
            <table class="roundTable" border="1">
                <tr>
                    <th><spring:message code="bo.id"/></th>
                    <th><spring:message code="bo.user.lastName"/></th>
                    <th><spring:message code="bo.user.firstName"/></th>
                    <th><spring:message code="bo.user.email"/></th>
                    <th><spring:message code="bo.user.role"/></th>
                    <th><spring:message code="bo.user.laboratory"/></th>
                    <th><spring:message code="bo.user.country"/></th>
                    <th><spring:message code="bo.user.creationDate"/></th>
                    <th title="<spring:message code="bo.user.boAccess.help"/>"><spring:message code="bo.user.boAccess"/></th>
                    <th colspan="2"><spring:message code="bo.actions"/></th>
                </tr>
                <tbody id="containerUsers"></tbody>
            </table>
            <BR/>
        </div>

        <div style="float:left"><spring:message code="bo.total.number"/> :&nbsp;
            <div id="nbResults" style="float:right"></div>
        </div>

        <%-- ****************** PAGINATION ****************** --%>
        <div style="float:right">
            <button id="next" class="small"><spring:message code="bo.next"/></button>
        </div>
        <div style="float:right"><span id="page">1</span>/<span id="maxPages">0</span>&nbsp;&nbsp;&nbsp;</div>
        <div style="float:right">
            <button id="previous" class="small"><spring:message code="bo.previous"/></button>
        </div>


        <BR/>
        <HR width="50%">

        <%-- ****************** ADD OR MODIFY AN USER ****************** --%>
        <div id="addOrModifyTitle" class="title2"></div>

        <table class="roundTable" border="1" id="addOrModifyForm">
            <tr>
                <td><spring:message code="bo.user.lastName"/></td>
                <td width="1px"><input id="lastName" size="40"></td>

                <td><spring:message code="bo.user.role"/></td>
                <td>
                    <div id="containerRoles"></div>
                </td>
            </tr>

            <tr>
                <td><spring:message code="bo.user.firstName"/></td>
                <td><input id="firstName" size="40"></td>

                <td><spring:message code="bo.user.boAccess.help"/></td>
                <td><input id="boAccess" type="checkbox"></td>
            </tr>

            <tr>
                <td><spring:message code="bo.user.email"/></td>
                <td><input id="email" size="40"></td>

                <td><spring:message code="bo.user.laboratory"/></td>
                <td><input id="laboratory" size="20"></td>
            </tr>

            <tr>
                <td><spring:message code="bo.user.password"/></td>
                <td><input id="password" size="40"></td>

                <td><spring:message code="bo.user.country"/></td>
                <td><input id="country" size="20"></td>
            </tr>
            <tr>
                <td><spring:message code="bo.user.password.same"/></td>
                <td><input id="keepSamePassword" type="checkbox"><spring:message code="bo.user.password.same.help"/></td>

                <td><spring:message code="bo.actions"/></td>
                <td>
                    <button id="add_or_modify_user" class="small positive"></button>
                    <button id="init" class="small positive"><spring:message code="bo.init"/></button>
                </td>
            </tr>

        </table>

        <BR/>

        <div id="errors"></div>

        <script type="text/javascript">
            var interfaceTexts = $A( "" );
            interfaceTexts["bo.noUser"] = '<spring:message code="bo.noUser"/>';
            interfaceTexts["bo.add"] = '<spring:message code="bo.add"/>';
            interfaceTexts["bo.modify"] = '<spring:message code="bo.modify"/>';
            interfaceTexts["bo.remove"] = '<spring:message code="bo.remove"/>';
            interfaceTexts["bo.accept"] = '<spring:message code="bo.accept"/>';
            interfaceTexts["bo.refuse"] = '<spring:message code="bo.refuse"/>';
            interfaceTexts["bo.user.remove.confirm"] = '<spring:message code="bo.user.remove.confirm"/>';
            interfaceTexts["bo.id"] = '<spring:message code="bo.id"/>';
            interfaceTexts["bo.user.add"] = '<spring:message code="bo.user.add"/>';
            interfaceTexts["bo.user.modify"] = '<spring:message code="bo.user.modify"/>';
            interfaceTexts["bo.user.lastName"] = '<spring:message code="bo.user.lastName"/>';
            interfaceTexts["bo.user.email"] = '<spring:message code="bo.user.email"/>';
            interfaceTexts["bo.user.creationDate"] = '<spring:message code="bo.user.creationDate"/>';
            interfaceTexts["bo.all"] = '<spring:message code="bo.all"/>';

            interfaceTexts["bo.field.lastName"] = '<spring:message code="bo.field.lastName"/>';
            interfaceTexts["bo.field.email"] = '<spring:message code="bo.field.email"/>';
            interfaceTexts["bo.field.password"] = '<spring:message code="bo.field.password"/>';

            interfaceTexts["<%=UserRole.ADMINISTRATOR%>"] = '<spring:message code="label.role.administrator"/>';
            interfaceTexts["<%=UserRole.USER%>"] = '<spring:message code="label.role.user"/>';

            interfaceTexts["<%=WebException.WebCode.USER_ALREADY_EXISTS%>"] = '<spring:message code="USER_ALREADY_EXISTS"/>';
            interfaceTexts["<%=WebException.WebCode.ERROR_EMAIL_CANNOT_BE_SEND%>"] = '<spring:message code="bo.user.emailNotSend"/>';

            var interfaceBOUser = new interfaceBOUser( ${usersNumber}, ${jSonUsers}, ${jSonUserRoles} );
        </script>

    </tiles:put>

</tiles:insert>